/* -------------------------------------------------------
 *
 * Licensed Materials - Property of IBM.
 * (C) Copyright IBM Corporation 2004, 2005
 * All Rights Reserved.
 *
 * US Government Users Restricted Rights -
 * Use, duplication or disclosure restricted by
 * GSA ADP Schedule Contract with IBM Corporation.
 *
 * Filename   : mtrace_t.h
 *
 * Purpose    : Tracing memory requests
 *
 *
 * ------------------------------------------------------- */

#ifndef _MTRACE_T_H_
#define _MTRACE_T_H_

#ifdef CONFIG_MTRACE
typedef uint64 MTraceID;

struct MTraceAddrs
{
    boolean is_ea;
    uint64  start;
    uint64  stop;
    struct MTraceAddrs *next;
};
typedef struct MTraceAddrs MTraceAddrs;
#else /* #ifdef CONFIG_MTRACE */
typedef uint8 MTraceID;
#endif /* #ifdef CONFIG_MTRACE */

#endif /* #ifndef _MTRACE_T_H_ */
