proc property_tree {} {

    set cm [ get_prop /services/property_manager/command_handler ]
    show_page $cm "/" ""
}


proc show_page { cm path pad } {
    set page_info [ $cm page_info $path ]
    set page_name [ lindex $page_info 0 ]
    set pages [ lindex $page_info 1 ]
    set props [ lindex $page_info 2 ]
    puts "$pad page $page_name"

    if { $path == "/" } {
        set path ""
    }

    foreach prop $props {
        show_prop $cm "$prop" 
    }

    set pad "$pad   "

    foreach page $pages {
        show_page $cm "$path/$page" $pad 
    }
}


proc show_prop { cm prop } {
    set pad "                                  "
    puts " $pad property $prop"
}

