#------------------------------------------------------------------------
#
#   IBM Software
#   Licensed Material - Property of IBM
#   (C) Copyright International Business Machines Corp. 2004
#   All Rights Reserved.
#
#   U.S. Government Users Restricted Rights - Use, duplication or
#   disclosure restricted by GSA ADP Schedule Contract with
#   IBM Corp.
#
#------------------------------------------------------------------------
#  config_smp_edp.tcl
#
#  This is an initial run script for a two BE configuration.
#
#------------------------------------------------------------------------

# Define a config_hook proc to modify the configuration for a 2 BE system.
proc config_hook { conf } {
    $conf quit
    define dup celledp $conf
    config_memory_size $conf 1G
    config_dual_be $conf
    # Display the memory size for the configuration
    display_memory_size myconf
}

# Source the standard initialization script for the rest of the setup.
source $env(LIB_DIR)/cell/systemsim.tcl
