/* -------------------------------------------------------
 *
 * Licensed Materials - Property of IBM.
 * (C) Copyright IBM Corporation 2001, 2006
 * All Rights Reserved.
 *
 * US Government Users Restricted Rights -
 * Use, duplication or disclosure restricted by
 * GSA ADP Schedule Contract with IBM Corporation.
 *
 * Filename : emitter_output_t.h
 *
 * Purpose  :
 *
 * Configuration file for simulator "emitter" function
 *
 * ------------------------------------------------------- */

#ifndef _EMITTER_OUTPUT_T_H_
#define _EMITTER_OUTPUT_T_H_

#include "emitter/emitter_data_t.h"

struct emitter_output
{

    int key;

    int rdata_shmid;
    /* pointer to shared memory reader data space */
    READER_DATA * shm_reader;


    int edata_shmid;
    /* pointer to shared memory emitter output area */
    EMIT_DATA * shm_emitter_memory;

};
typedef struct emitter_output EMITTER_OUTPUT;


#endif /* #ifndef _EMITTER_OUTPUT_T_H_ */
