#------------------------------------------------------------------------
#
#   IBM Software
#   Licensed Material - Property of IBM
#   (C) Copyright International Business Machines Corp. 2004
#   All Rights Reserved.
#
#   U.S. Government Users Restricted Rights - Use, duplication or
#   disclosure restricted by GSA ADP Schedule Contract with
#   IBM Corp.
#
#------------------------------------------------------------------------
#  config_smp.tcl
#
#  This is an initial run script for a two BE configuration.
#
#------------------------------------------------------------------------

# Define a config_hook proc to modify the configuration for a 2 BE system.
proc config_hook { conf } {
    config_dual_be $conf
}

# Source the standard initialization script for the rest of the setup.
source $env(LIB_DIR)/cell/systemsim.tcl

