#------------------------------------------------------------------------
#
#    IBM Software
#    Licensed Material - Property of IBM
#    (C) Copyright International Business Machines Corp. 2004, 2007
#    All Rights Reserved.
#
#    U.S. Government Users Restricted Rights - Use, duplication or
#    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#------------------------------------------------------------------------
#  config.tcl
#------------------------------------------------------------------------

namespace eval Config {
   variable compiler_flags [ string map {, {} \n { } } [ version flags ] ]
}

proc Config::is_defined {config_name} {
   variable compiler_flags
   return [ expr [ string first $config_name  $compiler_flags ] != -1 ]
}
