#!/usr/bin/wish
#!wish

package require BLT
namespace import blt::*

#source ${commonlibdir}/sysmem.tcl
#source ${commonlibdir}/pctracker.tcl
#source ${commonlibdir}/ppccore.tcl
#source ${commonlibdir}/gpregs.tcl
#source ${commonlibdir}/fpregs.tcl
#source ${commonlibdir}/elfload.tcl
#source ${commonlibdir}/stats.tcl
#source ${commonlibdir}/memmap.tcl
#source ${commonlibdir}/pipeline.tcl

##############################################################
#
#  Add the common things to the HierSim widget
#
##############################################################
proc HierSim_AddCommon { widget } {
    HierSim_AddElfLoad      $widget
    HierSim_AddSystemMemory $widget
    HierSim_AddPCTrack      $widget
    HierSim_AddPPCCore      $widget
    HierSim_AddGPRegs       $widget
    HierSim_AddFPRegs       $widget
    HierSim_AddStats        $widget
    HierSim_AddMemMap       $widget
    HierSim_AddPipeline     $widget
}
proc UpdateCommon { force } {
    UpdatePPCCoreWindows
    UpdateGPRegsWindows
    UpdateFPRegsWindows
    UpdatePCTrackWindows $force
    UpdateStatsWindows
    UpdateValueExpands
    UpdateMemMapWindows
    UpdatePipelineWindows
    #DebugControls_Refresh
    DebugControls::refresh
}
