#------------------------------------------------------------------------
#
#   IBM Software
#   Licensed Material - Property of IBM
#   (C) Copyright International Business Machines Corp. 2004
#   All Rights Reserved.
#
#   U.S. Government Users Restricted Rights - Use, duplication or
#   disclosure restricted by GSA ADP Schedule Contract with
#   IBM Corp.
#
#------------------------------------------------------------------------
#  .regress.simple.tcl
#
#  This is the toplevel mambo script that is run when testing
#  simple PU regression
#------------------------------------------------------------------------

# Start the simulator using the standard initialization script.
source $env(LIB_DIR)/cell/systemsim.tcl

# Run long enough to boot the kernel
fast_wait_for_linux_prompt

# Provide an input file to run ls, then exit
mysim console create UART0 in string "ls -l /"
mysim console create UART0 in string "cat /proc/cpuinfo"
mysim console create UART0 in string "callthru exit"

# Run the simulator
mysim go

# Test is complete. Exit the simulator.
exit
